# Uses of Class
org.apache.avro.util.springframework.ConcurrentReferenceHashMap.Entry

Packages that use ConcurrentReferenceHashMap.Entry
Package
Description
org.apache.avro.util.springframework

## Uses of ConcurrentReferenceHashMap.Entry in org.apache.avro.util.springframework

Methods in org.apache.avro.util.springframework that return ConcurrentReferenceHashMap.Entry
Modifier and Type
Method
Description
`ConcurrentReferenceHashMap.Entry<K,V>`
ConcurrentReferenceHashMap.Reference.`get()`
Return the referenced entry, or `null` if the entry is no longer available.
Methods in org.apache.avro.util.springframework with parameters of type ConcurrentReferenceHashMap.Entry
Modifier and Type
Method
Description
`ConcurrentReferenceHashMap.Reference<K,V>`
ConcurrentReferenceHashMap.ReferenceManager.`createReference(ConcurrentReferenceHashMap.Entry<K,V> entry, int hash, ConcurrentReferenceHashMap.Reference<K,V> next)`
Factory method used to create a new `ConcurrentReferenceHashMap.Reference`.